GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::CSAHeaderDict Class Reference

Class to represent a map of CSAHeaderDictEntry. More...

`#include <gdcmCSAHeaderDict.h>`

## Public Types

typedef MapCSAHeaderDictEntry::const_iterator | ConstIterator
typedef MapCSAHeaderDictEntry::iterator | Iterator
typedef std::set < CSAHeaderDictEntry > | MapCSAHeaderDictEntry

## Public Member Functions

| CSAHeaderDict ()
void | AddCSAHeaderDictEntry (const CSAHeaderDictEntry &de)
ConstIterator | Begin () const
ConstIterator | End () const
const CSAHeaderDictEntry & | GetCSAHeaderDictEntry (const char *name) const
bool | IsEmpty () const

## Protected Member Functions

void | LoadDefault ()

## Friends

class | Dicts
std::ostream & | operator<< (std::ostream &_os, const CSAHeaderDict &_val)

## Detailed Description

Class to represent a map of CSAHeaderDictEntry.

Examples:
  MrProtocol.cxx.

## Member Typedef Documentation

typedef MapCSAHeaderDictEntry::const_iterator gdcm::CSAHeaderDict::ConstIterator

typedef MapCSAHeaderDictEntry::iterator gdcm::CSAHeaderDict::Iterator

typedef std::set<CSAHeaderDictEntry> gdcm::CSAHeaderDict::MapCSAHeaderDictEntry

## Constructor & Destructor Documentation

gdcm::CSAHeaderDict::CSAHeaderDict | ( |  | ) |

inline

## Member Function Documentation

void gdcm::CSAHeaderDict::AddCSAHeaderDictEntry | ( | const CSAHeaderDictEntry & | de | ) |

inline

ConstIterator gdcm::CSAHeaderDict::Begin | ( |  | ) | const

inline

ConstIterator gdcm::CSAHeaderDict::End | ( |  | ) | const

inline

const CSAHeaderDictEntry& gdcm::CSAHeaderDict::GetCSAHeaderDictEntry | ( | const char * | name | ) | const

inline

Examples:
  MrProtocol.cxx.

bool gdcm::CSAHeaderDict::IsEmpty | ( |  | ) | const

inline

void gdcm::CSAHeaderDict::LoadDefault | ( |  | ) |

protected

## Friends And Related Function Documentation

friend class Dicts

friend

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const CSAHeaderDict & | _val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmCSAHeaderDict.h